html, body {
      height: 100%;
      overflow-y: auto !important;
      
    }

/* Esto está en el archivo CSS de Bootstrap */
.form-control:invalid ~ .invalid-feedback {
    display: none; /* Inicialmente se oculta aunque sea inválido, si el form no se ha tocado */
}

.form-control:invalid:focus ~ .invalid-feedback {
    /* Esto lo hace invisible si el usuario está tipeando */
}

.was-validated .form-control:invalid ~ .invalid-feedback,
.form-control.is-invalid ~ .invalid-feedback {
    display: block; /* Solo se hace visible cuando el formulario tiene la clase 'was-validated' */
}

/* Apariencia de campo deshabilitado pero enviable */
.form-control.readonly-like {
    background-color: #e9ecef;   /* mismo color que disabled de Bootstrap */
    opacity: 1;                  /* evita que se vea apagado de más */
    cursor: not-allowed;
}